Add the ability to display a message screen for Mac & Linux to the migrator
The Firefox stub installer performs two important functions in new user onboarding - installing Firefox and setting the context for the rest of the process. As noted in Bug  comment #1, since Mac and Linux users don't get a stub installer, we should add a screen with messaging that is shown before the data import step during first run.
